(function ($) {
  'use strict';
  var generateNewCredentials = false;

  Drupal.behaviors.ajaxDeskNet = {
    attach: function (context, settings) {
      var modal = $('#consentModal');
      var close = $('#consentModal .close, #consentModal #cancel');

      // When the user clicks on (x), close the modal.
      $.each(close, function (e) {
        $(this).click(function () {
          modal.css('display', 'none');
        });
      });

      $('#generate-new-credentials-submit').click(function () {
        modal.css('display', 'block');
      });

      // CSS Selector for the button which will trigger the AJAX call.
      $('#consentModal #confirm', context).click(function () {
        modal.css('display', 'none');

        if (generateNewCredentials) {
          return;
        }

        $.ajax({
          url: Drupal.settings.desk_net.ajaxUrl, // This is the AjAX URL set by the custom Module.
          method: 'POST',
          data: {generateNewCredentials: true}, // Set the number of Li items requested.
          dataType: 'html',          // Type of the content we're expecting in the response.
          success: function () {
            location.reload();
            generateNewCredentials = false;
          }
        });
      });
    }
  };

}(jQuery));
